Issue 95428 - GCC rtl::MalformedUriException lacking SAL_DLLPUBLIC_EXPORT
Summary: GCC rtl::MalformedUriException lacking SAL_DLLPUBLIC_EXPORT
Status: CLOSED FIXED
Alias: None
Product: porting
Classification: Code
Component: code (show other issues)
Version: DEV300m34
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 3.1
Assignee: Stephan Bergmann
QA Contact: issues@porting
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-24 16:49 UTC by Stephan Bergmann
Modified: 2009-01-19 12:19 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Stephan Bergmann 2008-10-24 16:49:29 UTC
On GCC, many dynamic libraries are built with -fvisibility=hidden (e.g.,
trunk/comphelper/util/makefile.pmk@246127).  At least rtl::MalformedUriException
(trunk/sal/inc/rtl/malformeduriexception.hxx@225280) lacks proper (GCC-only)
SAL_DLLPUBLIC_EXPORT (and SAL_DLLPUBLIC_PRIVATE for irrelevant parts), so that
exception handling for this exception works reliably in dynamic libraries built
with -fvisibility=hidden (see CPPU_GCC_DLLPUBLIC_EXPORT and CPPU_GCC_DLLPRIVATE
defined in trunk/cppu/inc/cppu/macros.hxx@244448 and used in .hdl files
generated by cppumaker).

It should be checked whether there are more classes used as exceptions in the
OOo sources that have the same problem.

(Also see issue 95065.)
Comment 1 Stephan Bergmann 2008-10-24 16:51:05 UTC
.
Comment 2 Stephan Bergmann 2008-12-02 17:11:50 UTC
fixed as
cws/sb102/cppu/inc/cppu/macros.hxx@264140
cws/sb102/sal/inc/rtl/malformeduriexception.hxx@264140
cws/sb102/sal/inc/sal/types.h@264140
Comment 3 Stephan Bergmann 2008-12-12 12:45:31 UTC
.
Comment 4 Stephan Bergmann 2009-01-19 12:19:57 UTC
.